# Generated by Django 5.0.2 on 2024-03-23 16:09

import django.db.models.deletion
import marketplace.models.product
import marketplace.models.uploaded_image
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="UploadedImage",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "image",
                    models.ImageField(
                        upload_to=marketplace.models.uploaded_image.UploadedImage.get_upload_path
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name="Product",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                ("description", models.TextField()),
                ("price", models.DecimalField(decimal_places=2, max_digits=10)),
                ("price_unit", models.CharField(default="sol", max_length=10)),
                ("overview", models.TextField(blank=True, null=True)),
                ("highlight", models.TextField(blank=True, null=True)),
                (
                    "theme_file",
                    models.FileField(
                        upload_to=marketplace.models.product.Product.get_upload_path
                    ),
                ),
                ("is_active", models.BooleanField(default=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "category",
                    models.CharField(
                        choices=[
                            ("UI_KIT", "UI Kit"),
                            ("TEMPLATE", "Template"),
                            ("FRAMER", "Framer"),
                            ("WEBFLOW", "Webflow"),
                            ("BADGE", "Badge"),
                        ],
                        default="UI_KIT",
                        max_length=10,
                    ),
                ),
                ("is_featured", models.BooleanField(default=False)),
                ("section_count", models.IntegerField(default=0)),
                ("is_day_and_night_mode", models.BooleanField(default=False)),
                (
                    "owner",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="products",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "preview_images",
                    models.ManyToManyField(
                        related_name="theme_preview_images",
                        to="marketplace.uploadedimage",
                    ),
                ),
                (
                    "thumbnail_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="product_thumbnail_image",
                        to="marketplace.uploadedimage",
                    ),
                ),
            ],
        ),
    ]
